# Generated by Django 1.11.29 on 2021-01-20 19:23

from django.db import migrations
import django.db.models.deletion
import sentry.db.models.fields.foreignkey


class Migration(migrations.Migration):
    # This flag is used to mark that a migration shouldn't be automatically run in
    # production. We set this to True for operations that we think are risky and want
    # someone from ops to run manually and monitor.
    # General advice is that if in doubt, mark your migration as `is_dangerous`.
    # Some things you should always mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that
    #   they can be monitored. Since data migrations will now hold a transaction open
    #   this is even more important.
    # - Adding columns to highly active tables, even ones that are NULL.
    is_dangerous = True

    # This flag is used to decide whether to run this migration in a transaction or not.
    # By default we prefer to run in a transaction, but for migrations where you want
    # to `CREATE INDEX CONCURRENTLY` this needs to be set to False. Typically you'll
    # want to create an index concurrently when adding one to an existing table.
    atomic = False

    dependencies = [
        ("sentry", "0149_bigint"),
    ]

    operations = [
        migrations.SeparateDatabaseAndState(
            database_operations=[
                migrations.AlterField(
                    model_name="eventattachment",
                    name="file",
                    field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                        db_constraint=False,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="sentry.File",
                    ),
                ),
                migrations.AlterField(
                    model_name="userreport",
                    name="environment",
                    field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="sentry.Environment",
                    ),
                ),
                migrations.AlterField(
                    model_name="userreport",
                    name="group",
                    field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                        db_constraint=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="sentry.Group",
                    ),
                ),
                migrations.AlterField(
                    model_name="userreport",
                    name="project",
                    field=sentry.db.models.fields.foreignkey.FlexibleForeignKey(
                        db_constraint=False,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="sentry.Project",
                    ),
                ),
            ],
            state_operations=[
                migrations.AddField(
                    model_name="eventattachment",
                    name="file_id",
                    field=sentry.db.models.fields.bounded.BoundedBigIntegerField(
                        db_index=True, default=1
                    ),
                    preserve_default=False,
                ),
                migrations.AddField(
                    model_name="userreport",
                    name="environment_id",
                    field=sentry.db.models.fields.bounded.BoundedBigIntegerField(
                        db_index=True, null=True
                    ),
                ),
                migrations.AddField(
                    model_name="userreport",
                    name="group_id",
                    field=sentry.db.models.fields.bounded.BoundedBigIntegerField(
                        db_index=True, null=True
                    ),
                ),
                migrations.AddField(
                    model_name="userreport",
                    name="project_id",
                    field=sentry.db.models.fields.bounded.BoundedBigIntegerField(
                        db_index=True, default=1
                    ),
                    preserve_default=False,
                ),
                migrations.RemoveField(
                    model_name="eventattachment",
                    name="file",
                ),
                migrations.AlterUniqueTogether(
                    name="eventattachment",
                    unique_together={("project_id", "event_id", "file_id")},
                ),
                migrations.RemoveField(
                    model_name="userreport",
                    name="environment",
                ),
                migrations.RemoveField(
                    model_name="userreport",
                    name="group",
                ),
                migrations.RemoveField(
                    model_name="userreport",
                    name="project",
                ),
                migrations.AlterUniqueTogether(
                    name="userreport",
                    unique_together={("project_id", "event_id")},
                ),
                migrations.AlterIndexTogether(
                    name="eventattachment",
                    index_together={
                        ("project_id", "date_added"),
                        ("project_id", "date_added", "file_id"),
                    },
                ),
                migrations.AlterIndexTogether(
                    name="userreport",
                    index_together={("project_id", "date_added"), ("project_id", "event_id")},
                ),
            ],
        )
    ]
