# Generated by Django 1.11.29 on 2021-05-03 21:05

from django.db import migrations


class Migration(migrations.Migration):
    # This flag is used to mark that a migration shouldn't be automatically run in
    # production. We set this to True for operations that we think are risky and want
    # someone from ops to run manually and monitor.
    # General advice is that if in doubt, mark your migration as `is_dangerous`.
    # Some things you should always mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that
    #   they can be monitored. Since data migrations will now hold a transaction open
    #   this is even more important.
    # - Adding columns to highly active tables, even ones that are NULL.
    is_dangerous = False

    # This flag is used to decide whether to run this migration in a transaction or not.
    # By default we prefer to run in a transaction, but for migrations where you want
    # to `CREATE INDEX CONCURRENTLY` this needs to be set to False. Typically you'll
    # want to create an index concurrently when adding one to an existing table.
    # You'll also usually want to set this to `False` if you're writing a data
    # migration, since we don't want the entire migration to run in one long-running
    # transaction.
    atomic = True

    dependencies = [
        ("sentry", "0189_remove_externaluser_externalteam_models"),
    ]

    operations = [
        migrations.RunSQL(
            """
                DROP TABLE "sentry_externaluser";
                """,
            reverse_sql="CREATE TABLE sentry_externaluser (fake_col int)",  # We just create a fake table here so that the DROP will work if we roll back the migration.
        ),
        migrations.RunSQL(
            """
                DROP TABLE "sentry_externalteam";
                """,
            reverse_sql="CREATE TABLE sentry_externalteam (fake_col int)",  # We just create a fake table here so that the DROP will work if we roll back the migration.
        ),
    ]
